From: [email-masked] (Mi Mi)
Date: Wed, 15 Dec 93 22:41:10 CST

Dear Mi Mi Sr, 
	   Please post the following on the net.

	   Dear netters,
		   When more and more LADs are starting their job hunting in the States, 
	   some of them have big problem to convince their potential employers that 
	   they have the work authority.
		   In most interviews, after employers check your professional skill
	   is qualified for the position, the next thing they check is your full time 
	   work authority.  Then, it comes with the big problem!  Because after 
	   filed their I-485, most LADs only got a receipt and a work permit.  On 
	   the receipt, it just says your application is pending. Which means your
	   application can be either approved or rejected.  So the receipt doesn't
	   help you in any way.  On the work permit, it is valid only for one year. 
	   Some employers didn't believe LADs argument: LAD's work permit is 
	   totally different from the work permit for Practical Training, LAD's 
	   work permit is renewable if he could not get GC within this year.  
	   The reason is obvious: You could not expect a technical manager knows 
	   CSPA or Immigration laws as we do.  To a technical manager, what they 
	   care is your qualification and whether it is worth or not to investment 
	   money and time to training you for that specific position.  If you 
	   can legally work only for one year, why should they waste their 
	   money to hire you?  Some small companies don't seriously 
	   inspect your work authority, but to most big companies you have to 
	   show enough evidents to convince them since they have company's 
	   internal regulations.  
		   My concern is our lad-net should direct our LADs brothers 
	   and sisters to find enough official regulations which is in PUBLIC 
	   LIBRARY and can be accessed by companies.  If LADs only download 
	   those regulations form Net, it is not strong enough to convince most 
	   companies.  Any netter knows those regulation's library call numbers, 
	   please post those numbers on Net.  
		   When I saw some of LADs passed the interview but failed at
	   employee authority, I feel really sad.
		   Good luck to everyone!